/*
 * Copyright (C) 2023 Robert Bosch GmbH Copyright (C) 2023 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { DragDropModule } from '@angular/cdk/drag-drop';
import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { FormsModule } from '@angular/forms';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatIconModule } from '@angular/material/icon';

import { MatListModule } from '@angular/material/list';
import { MatSelectModule } from '@angular/material/select';
import { BciCorePicklistIntl } from '../bci-core-picklist-intl';
import { BciCorePicklistService } from '../bci-core-picklist.service';
import { BciCoreDragDropListComponent } from './bci-core-drag-drop-list.component';
import { ScrollingModule } from '@angular/cdk/scrolling';

describe('BciCoreDragDropListComponent', () => {
  let component: BciCoreDragDropListComponent;
  let fixture: ComponentFixture<BciCoreDragDropListComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [MatCheckboxModule, MatIconModule, FormsModule, MatListModule, MatSelectModule, DragDropModule,ScrollingModule],
        providers: [BciCorePicklistIntl, BciCorePicklistService],
        declarations: [BciCoreDragDropListComponent],
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(BciCoreDragDropListComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
